document.addEventListener('DOMContentLoaded', () => {
    const modal = document.getElementById('booking-modal');
    const selectButtons = document.querySelectorAll('.select-unit');
    const closeModal = document.querySelector('.close-modal');
    const bookingForm = document.getElementById('booking-form');
    const bookNowButton = document.querySelector('.book-now');

    function openModal() {
        modal.style.display = 'block';
        document.body.style.overflow = 'hidden';
    }

    function closeModalFunction() {
        modal.style.display = 'none';
        document.body.style.overflow = 'auto';
    }

    selectButtons.forEach(button => {
        button.addEventListener('click', openModal);
    });

    bookNowButton.addEventListener('click', openModal);

    closeModal.addEventListener('click', closeModalFunction);

    window.addEventListener('click', (e) => {
        if (e.target === modal) {
            closeModalFunction();
        }
    });

    bookingForm.addEventListener('submit', (e) => {
        e.preventDefault();
        
        // Collect form data
        const formData = {
            name: document.getElementById('name').value,
            email: document.getElementById('email').value,
            phone: document.getElementById('phone').value,
            moveIn: document.getElementById('move-in').value
        };

        // Here you would typically send this data to a server
        console.log('Booking submitted:', formData);
        
        // Show success message
        alert('Thank you for your booking! We will contact you shortly.');
        
        // Reset form and close modal
        bookingForm.reset();
        closeModalFunction();
    });

    // Smooth scroll for navigation links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });
});
